САПР ТП

Системы автоматизации технологического проектирования

Подразделы

  1. ТехноПро

    САПР ТП ТехноПро (бесплатная версия)

    145
    сообщений

95 тем в этом разделе

    • 9 ответов
    • 12 995 просмотров
    • 2 ответа
    • 305 просмотров
    • 13 ответов
    • 4 627 просмотров
    • 2 ответа
    • 225 просмотров
    • 2 ответа
    • 135 просмотров
    • 1 ответ
    • 574 просмотра
    • 1 ответ
    • 974 просмотра
    • 3 ответа
    • 1 122 просмотра
    • 25 ответов
    • 8 366 просмотров
    • 0 ответов
    • 1 177 просмотров
    • 0 ответов
    • 794 просмотра
    • 14 ответов
    • 2 015 просмотров
    • 2 ответа
    • 1 821 просмотр
    • 98 ответов
    • 37 242 просмотра
    • 16 ответов
    • 3 159 просмотров
    • 9 ответов
    • 6 354 просмотра
    • 10 ответов
    • 1 844 просмотра
    • 2 ответа
    • 2 721 просмотр
    • 0 ответов
    • 1 721 просмотр
    • 1 ответ
    • 3 510 просмотров
    • 6 ответов
    • 4 041 просмотр
    • 91 ответ
    • 33 268 просмотров
    • 2 ответа
    • 1 899 просмотров
    • 18 ответов
    • 8 691 просмотр
    • 32 ответа
    • 9 888 просмотров
    • 3 ответа
    • 4 746 просмотров
    • 27 ответов
    • 11 008 просмотров
    • 10 ответов
    • 7 411 просмотр
    • 17 ответов
    • 6 538 просмотров
    • 14 ответов
    • 2 669 просмотров
    • 296 ответов
    • 54 276 просмотров
    • 2 ответа
    • 3 891 просмотр
    • 2 ответа
    • 2 319 просмотров
    • 0 ответов
    • 3 189 просмотров
    • 8 ответов
    • 7 016 просмотров
    • 1 ответ
    • 4 070 просмотров
    • 13 ответов
    • 3 849 просмотров
    • 16 ответов
    • 6 279 просмотров
    • 1 ответ
    • 2 322 просмотра
    • 7 ответов
    • 10 776 просмотров
    • 12 ответов
    • 3 579 просмотров
    • 10 ответов
    • 8 589 просмотров
    • 1 ответ
    • 2 265 просмотров
    • 0 ответов
    • 1 949 просмотров
    • 19 ответов
    • 10 112 просмотра
    • 1 ответ
    • 3 339 просмотров
    • 0 ответов
    • 2 096 просмотров
    • 3 ответа
    • 3 766 просмотров
    • 0 ответов
    • 2 710 просмотров
    • 14 ответов
    • 4 981 просмотр
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.